What are the technical requirements for using Polar Flow web service?

Browsers

To get the best site experience, we recommend using the latest version of one of the following browsers.

Desktop

 Firefox 43 or newer - Download

 Safari 8, 9 or newer - Download

 Chrome 47 or newer - Download

 Internet Explorer 11 - Download

 Edge - Download

If you're using Windows XP and can't update Internet Explorer to the latest version, we recommend using another browser like Google Chrome or Firefox.

Mobile

 IOS Safari 8 or newer
 Android Chrome 43 or newer

Using other browsers or earlier versions may lead to the web service not working properly. The latest browser versions also have the most recent security updates and hence better encryption and privacy support.

Javascript and cookies

Javascript and cookies should be enabled. Usually they are enabled by default. If they are disabled, polar.com/flow does not load properly and you cannot sign into the service.


See your browser’s help for instructions.